# DAComputeJacobian1WithAdic

Evaluates a adiC provided Jacobian function on each processor that share a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAComputeJacobian1WithAdic(DA da,Vec vu,Mat J,void *w)

### Input Parameters

| da | - the DA that defines the grid
| vu | - input vector (ghosted)
| J | - output matrix
| w | - any user data

Notes: Does NOT do ghost updates on vu upon entry

### See Also

DAFormFunction1()

Level:advanced
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex24.c.html